For the complete documentation index, see llms.txt. This page is also available as Markdown.

Delete Draft Invoices

Taslak faturaları siler.

delete

Taslak faturaları liste halinde silmek için bu uç kullanılır.

Authorizations
HTTPRequired

API Key Giriniz

Bodystring · uuid[]
string · uuid[]Optional
Responses
200

Taslak faturaları siler.

application/json
booleanOptional
delete/Draft
DELETE /einvoice/Draft HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 40

[
  "123e4567-e89b-12d3-a456-426614174000"
]
true
var client = new RestClient("//einvoice/Draft");
client.Timeout = -1;
var request = new RestRequest(Method.DELETE);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Accept", "text/plain");
request.AddHeader("Authorization", "Bearer <API KEY>");
var body = @"[
"ec3be92c-27ed-2004-ccfd-04b425dced54",
"a07f9c7e-a182-d507-057d-b87d185deb27"]";
request.AddParameter("application/json", body,  ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
Console.WriteLine(response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => '//einvoice/Draft',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'DELETE',
  CURLOPT_POSTFIELDS =>'[
  "ec3be92c-27ed-2004-ccfd-04b425dced54",
  "a07f9c7e-a182-d507-057d-b87d185deb27"
]',
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json',
    'Accept: text/plain',
    'Authorization: Bearer <API KEY>'
  ),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;

Last updated